#include <LiquidCrystal_I2C.h> // Include the LiquidCrystal_I2C library

LiquidCrystal_I2C lcd(0x27, 16, 2); // Initialize the LCD object with the I2C address and dimensions

void setup() {
  lcd.begin(16, 2); // Initialize the LCD
  lcd.print("   Arduino Clock"); // Display a welcome message
}

void loop() {
  // Get the current time
  int hours = hour(12);
  int minutes = minute(0);
  int seconds = second(0);

  // Display the time on the LCD
  lcd.setCursor(0, 1); // Set the cursor to the second row
  lcd.print("Time: ");
  lcd.print(hours);
  lcd.print(":");
  if (minutes < 10) {
    lcd.print("0"); // Add leading zero if minutes is less than 10
  }
  lcd.print(minutes);
  lcd.print(":");
  if (seconds < 10) {
    lcd.print("0"); // Add leading zero if seconds is less than 10
  }
  lcd.print(seconds);

  delay(1000); // Delay for 1 second
  lcd.clear(); // Clear the LCD screen
}